# OpalSIPIMContext Class Reference

`#include <sipim.h>`

Inheritance diagram for OpalSIPIMContext:

[legend]
Collaboration diagram for OpalSIPIMContext:
[legend]

## Public Member Functions

| OpalSIPIMContext ()
virtual SentStatus | SendCompositionIndication (bool active=true)

## Static Public Member Functions

static void | PopulateParams (SIPMessage::Params &params, OpalIM &message)

## Protected Member Functions

virtual SentStatus | InternalSendOutsideCall (OpalIM *message)
virtual SentStatus | InternalSendInsideCall (OpalIM *message)
virtual SentStatus | OnIncomingIM (OpalIM &message)
void | OnCompositionIndicationTimeout ()
void | ResetTimers (OpalIM &message)
| PDECLARE_NOTIFIER (PTimer, OpalSIPIMContext, OnRxCompositionTimerExpire)
| PDECLARE_NOTIFIER (PTimer, OpalSIPIMContext, OnTxCompositionTimerExpire)
| PDECLARE_NOTIFIER (PTimer, OpalSIPIMContext, OnTxIdleTimerExpire)

## Protected Attributes

PTimer | m_rxCompositionTimeout
PTimer | m_txCompositionTimeout
PTimer | m_txIdleTimeout
RFC4103Context | m_rfc4103Context

## Constructor & Destructor Documentation

OpalSIPIMContext::OpalSIPIMContext | ( |  | ) |

## Member Function Documentation

virtual SentStatus OpalSIPIMContext::InternalSendInsideCall | ( | OpalIM * | message | ) | `[protected, virtual]`

Reimplemented from OpalIMContext.

virtual SentStatus OpalSIPIMContext::InternalSendOutsideCall | ( | OpalIM * | message | ) | `[protected, virtual]`

Reimplemented from OpalIMContext.

void OpalSIPIMContext::OnCompositionIndicationTimeout | ( |  | ) | `[protected, virtual]`

Reimplemented from OpalIMContext.

virtual SentStatus OpalSIPIMContext::OnIncomingIM | ( | OpalIM & | message | ) | `[protected, virtual]`

Called when an incoming message arrives for this context Default implementation calls IncomingIMNotifier, if set, else returns true

Reimplemented from OpalIMContext.

OpalSIPIMContext::PDECLARE_NOTIFIER | ( | PTimer | ,
|  | OpalSIPIMContext | ,
|  | OnTxIdleTimerExpire |  |
| ) |  |  | `[protected]`

OpalSIPIMContext::PDECLARE_NOTIFIER | ( | PTimer | ,
|  | OpalSIPIMContext | ,
|  | OnTxCompositionTimerExpire |  |
| ) |  |  | `[protected]`

OpalSIPIMContext::PDECLARE_NOTIFIER | ( | PTimer | ,
|  | OpalSIPIMContext | ,
|  | OnRxCompositionTimerExpire |  |
| ) |  |  | `[protected]`

static void OpalSIPIMContext::PopulateParams | ( | SIPMessage::Params & | params,
|  | OpalIM & | message |
| ) |  |  | `[static]`

void OpalSIPIMContext::ResetTimers | ( | OpalIM & | message | ) | `[protected]`

virtual SentStatus OpalSIPIMContext::SendCompositionIndication | ( | bool | active = `true` | ) | `[virtual]`

Reimplemented from OpalIMContext.

## Field Documentation

RFC4103Context OpalSIPIMContext::m_rfc4103Context `[protected]`

PTimer OpalSIPIMContext::m_rxCompositionTimeout `[protected]`

PTimer OpalSIPIMContext::m_txCompositionTimeout `[protected]`

PTimer OpalSIPIMContext::m_txIdleTimeout `[protected]`

The documentation for this class was generated from the following file:

- sipim.h